libzypp 17.37.10

zyppng::internal Namespace Reference

## Classes
struct | lock_shared
struct | MemberFunction
struct | MemberFunction< Ret(BType::*)(Args...)>

## Functions
template<typename T>
auto | lock_shared_makeLock (const T &locker)
template<typename Functor, typename ... Obj>
decltype(auto) | locking_fun (const Functor &f, const Obj &... o)

## Variables
template<typename T>
constexpr bool | is_base_receiver = std::is_base_of_v<Base, T> || std::is_base_of_v<BasePrivate, T>

## Function Documentation

## ◆ lock_shared_makeLock()

template<typename T>

auto zyppng::internal::lock_shared_makeLock | ( | const T & | locker | ) |
| inline

Helper tool that always locks the public object in case a BasePrivate derived type is passed.

Definition at line 256 of file signals.h.

## ◆ locking_fun()

template<typename Functor, typename ... Obj>

decltype(auto) zyppng::internal::locking_fun | ( | const Functor & | f,
|  | const Obj &... | o )
| inline

Definition at line 316 of file signals.h.

## Variable Documentation

## ◆ is_base_receiver

template<typename T>

bool zyppng::internal::is_base_receiver = std::is_base_of_v<Base, T> || std::is_base_of_v<BasePrivate, T>
| inline constexpr

Definition at line 39 of file base.h.